Update a Wished Item
Updates a Wished Item
PATCH
/
api
/
v2
/
platform
/
wished_items
/
{id}
Update a Wished Item
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({wished_item: {wishlist_id: '<string>', variant_id: '<string>', quantity: 123}})
};
fetch('http://{defaultHost}/api/v2/platform/wished_items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url http://{defaultHost}/api/v2/platform/wished_items/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wished_item": {
"wishlist_id": "<string>",
"variant_id": "<string>",
"quantity": 123
}
}
'{
"data": {
"id": "12",
"type": "wished_item",
"attributes": {
"quantity": 3,
"created_at": "2022-11-08T19:36:04.166Z",
"updated_at": "2022-11-08T19:36:04.397Z",
"display_total": "$59.97",
"display_price": "$19.99",
"price": "19.99",
"total": "59.97"
},
"relationships": {
"variant": {
"data": {
"id": "335",
"type": "variant"
}
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}{
"error": "Quantity is not a number",
"errors": {
"quantity": [
"is not a number"
]
}
}Authorizations
Query Parameters
Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes
Was this page helpful?
⌘I
Update a Wished Item
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({wished_item: {wishlist_id: '<string>', variant_id: '<string>', quantity: 123}})
};
fetch('http://{defaultHost}/api/v2/platform/wished_items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url http://{defaultHost}/api/v2/platform/wished_items/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wished_item": {
"wishlist_id": "<string>",
"variant_id": "<string>",
"quantity": 123
}
}
'{
"data": {
"id": "12",
"type": "wished_item",
"attributes": {
"quantity": 3,
"created_at": "2022-11-08T19:36:04.166Z",
"updated_at": "2022-11-08T19:36:04.397Z",
"display_total": "$59.97",
"display_price": "$19.99",
"price": "19.99",
"total": "59.97"
},
"relationships": {
"variant": {
"data": {
"id": "335",
"type": "variant"
}
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}{
"error": "Quantity is not a number",
"errors": {
"quantity": [
"is not a number"
]
}
}
